summaryrefslogtreecommitdiffstats
path: root/client/shared
diff options
context:
space:
mode:
authorIrina Gómez <irinagomez@us.es>2019-08-09 13:59:55 +0200
committerIrina Gómez <irinagomez@us.es>2019-08-09 13:59:55 +0200
commit2413feda15ca2a954589d2e72bdf97a4042cb439 (patch)
treeacd6602075e52948fed289e004fffa1106318548 /client/shared
parent67b31420ccb5376a4bde07125c4be346be0b2865 (diff)
#923 deployImage exits if detects error in updateCache. updateCache exits if it detects error when copying torrent file.
Diffstat (limited to 'client/shared')
-rwxr-xr-xclient/shared/scripts/deployImage4
-rwxr-xr-xclient/shared/scripts/updateCache2
2 files changed, 5 insertions, 1 deletions
diff --git a/client/shared/scripts/deployImage b/client/shared/scripts/deployImage
index b6696443..9406d80e 100755
--- a/client/shared/scripts/deployImage
+++ b/client/shared/scripts/deployImage
@@ -167,6 +167,10 @@ case "$MODE" in
# Time-out en la transferencia multicast (El mensaje de error está enviado)
exit $RETVAL
;;
+ *)
+ # Error desconocido
+ exit $RETVAL
+ ;;
esac
;;
*) # Error: protocolo desconocido.
diff --git a/client/shared/scripts/updateCache b/client/shared/scripts/updateCache
index 0632365f..73086bb7 100755
--- a/client/shared/scripts/updateCache
+++ b/client/shared/scripts/updateCache
@@ -207,7 +207,7 @@ case "$PROTOCOLO" in
ogEcho log session "ogCopyFile $REPOSITORIO $2.torrent absolute $OGCAC/$OGIMG"
# tiempos
timewait=$(expr $(printf '%d\n' 0x$(ogGetMacAddress | awk -F: '{print $5$6}')) \* 120 / 65535)
- ogExecAndLog command ogCopyFile $REPOSITORIO "$2.torrent" "$IMGDIR"
+ ogExecAndLog command ogCopyFile $REPOSITORIO "$2.torrent" "$IMGDIR" || exit $?
#TODO: comprobar que el tracker definido en el fichero es correcto.
#TODO comprobar que el fichero torrent está en cache
# retardamos el inicio -aleatorio de 0 a 120 segundos- al tracker para gestionar mas de +-40 equipos